<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" />
  <xsl:template match="/entrylist">
  
    <xsl:for-each select="entry">
    
      <div class="news">
        <div class="news_title">
          <span class="news_date">
            <xsl:value-of select="@year" />-<xsl:value-of select="@month" />-<xsl:value-of select="@day" />&#160;
          </span>
          <xsl:value-of select="title" disable-output-escaping="yes" />
          <a href="topnewsentry.php{@href}">→詳細</a>
        </div>
      </div>
      
    </xsl:for-each>
    
    <xsl:for-each select="navi">
      <div class="navi_next">
        <xsl:for-each select="prev">
          <a href="{@href}">&lt;&lt;前のページへ</a>｜
        </xsl:for-each>
        <xsl:for-each select="next">
          <a href="{@href}">次のページへ&gt;&gt;</a>
        </xsl:for-each>
      </div>
    </xsl:for-each>
          
  </xsl:template>
</xsl:stylesheet>