<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" />
  <xsl:template match="/entrylist">
    <xsl:for-each select="entry">
      <div class="news">
        <div class="news_title">
          <span class="news_date">
            <xsl:value-of select="@year" />-<xsl:value-of select="@month" />-<xsl:value-of select="@day" />&#160;
          </span>
          <xsl:value-of select="title" disable-output-escaping="yes" />
        </div>
        <div class="news_description">
          <xsl:value-of select="description" disable-output-escaping="yes" />
        </div>
      </div>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>